package math.nums;

import math.utils.ArrayUtil;
import math.utils.Util;

public class Nums03 {
    public static final String aa = "000110011010101011100111";
    public static final String aa1 = "00011001";
    public static final String aa2 = "10101010";
    public static final String aa3 = "11100111";

    public static void main(String[] args) {
        int a = Integer.parseInt(aa, 2);
        int b = Integer.parseInt(aa1, 2);
        int c = Integer.parseInt(aa2, 2);
        int d = Integer.parseInt(aa3, 2);
        int b1 = NumsUtil.bin2ToInt(aa1);
        int c1 = NumsUtil.bin2ToInt(aa2);
        int d1 = NumsUtil.bin2ToInt(aa3);
        Util.print(a + " " + b + " " + c + " " + d);
        Util.print(b1 + " " + c1 + " " + d1);
        byte[] e = NumsUtil.bin2ToByteArray(aa);
        ArrayUtil.print(e);
    }
}
